#!/bin/bash -l

#### VASP Job Batch Script Example ####
# Section for defining queue-system variables:
# SLURM-section
#SBATCH -n 128
##SBATCH --ntasks=16
##SBATCH -N 4       # Numero de nodos 
#SBATCH --chdir=/home/t507/t507525/DIR_VASP/W_He_H_Vac/fullHe/NEBS/2down_NEB_lowprec 
#SBATCH --job-name=vasp_gam
#SBATCH --output=vasp_gam.log
#SBATCH --error=vasp_gam.err
#SBATCH --time=72:00:00
#SBATCH --mail-type=ALL
#SBATCH --mail-user=j.srecio@upm.es

######################################
# Section for defining job variables and settings:


#proj=/home/t507/t507525/DIR_VASP/W_He_H_Vac/H_surf/H_fullGB_insideInt/2up_NEB  # Name of job folder
#input=$(ls ${proj}/{INCAR,KPOINTS,POTCAR,01/POSCAR,02/POSCAR,03/POSCAR,04/POSCAR}) # Input files from job folder

# We load all the default program system settings with module load:

# module purge
module load intel/2019b
ulimit -s unlimited
# You may check other available versions with "module avail VASP"

# Now we create working directory and temporary scratch for the job(s):
# Necessary variables are defined in the notur and the software modules.

#export VASP_WORKDIR=$proj/$SLURM_JOB_ID

#mkdir -p $VASP_WORKDIR

# Preparing and moving inputfiles to tmp:

#submitdir=$SLURM_SUBMIT_DIR

#cp $input $VASP_WORKDIR
#cd $VASP_WORKDIR

######################################
# Section for running the program and cleaning up:

# Running the program:

srun /home/t507/t507525/VASP_VTST/vasp.6.1.0-patch/bin/vasp_gam

# Cleaning up and moving files back to home/submitdir:
# Make sure to move all essential files specific for the given job/software.

echo "Job finished at"
date
################### Job Ended ###################
exit 0
